package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 违规-违规项设置对象 lab_violation_site
 * 
 * @author zd
 * @date 2021-12-13
 */
@ApiModel("违规-违规项设置")
public class LabViolationSite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 违规项 */
    @Excel(name = "违规项")
    @Length(message = "违规项长度不能超过255")
    @ApiModelProperty(value = "违规项")
    private String violationType;


    private String violationVal;

    /** 备注 */
    @Excel(name = "备注")
    @Length(message = "备注长度不能超过255")
    @ApiModelProperty(value = "备注")
    private String remake;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setViolationType(String violationType) 
    {
        this.violationType = violationType;
    }

    public String getViolationType() 
    {
        return violationType;
    }
    public void setRemake(String remake) 
    {
        this.remake = remake;
    }

    public String getRemake() 
    {
        return remake;
    }

    public String getViolationVal() {
        return violationVal;
    }

    public void setViolationVal(String violationVal) {
        this.violationVal = violationVal;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("violationType", getViolationType())
            .append("remake", getRemake())
            .toString();
    }
}
